%define name            pyrite
%define version         0.9.3
%define release         2mdk
%define localedir	/usr/share/locale

Name:		%name
Version:	%version
Release:	%release
Url: 		http://pyrite.linuxbox.com/pyrite/pyrite.html
Source: 	%{name}-%{version}.tar.bz2
Copyright: 	Python-like (plus some GPL and LGLP components)
Group:		Development/Python
Requires:	python >= 1.5
Requires:	pilot-link >= 0.8.11
BuildRoot:	%{_tmppath}/%{name}-buildroot
Patch:		%{name}-%{version}.patch.bz2
Summary:	Palm Computing(R) platform communication kit for Python

%description
Pyrite is an extension package for the Python programming
language which allows access to Palm Computing platform connected
organizers (such as the PalmIII(tm) and PalmPilot(tm) devices
made by 3Com).  Pyrite provides a high-level, object-oriented,
extensible interface to data both on the handheld and on the local
system.

Pyrite includes a set of classes which provide access to
local and remote Palm OS(tm) databases, with support for applications
including Address, Datebook, Memo, To Do, MoneyManager, Doc,
and XWord.  It also includes a conduit management API and a
set of basic conduits.

Pyrite should be considered "stable beta" software -- it
works, but is still under active development and new features
are being added on a regular basis.

This package includes some very minor changes by Holger Drer.
(To suite the RPM build and to fix some german translations.)

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n pyrite-%{version}
%patch -p 1

%build
./configure --with-locale-dir=%localedir --prefix=/usr --mandir=%{_mandir}

%make 

%install
make DESTDIR=$RPM_BUILD_ROOT exec_prefix=$RPM_BUILD_ROOT/usr install

# setup /usr/man
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp $RPM_BUILD_DIR/%{name}-%{version}/doc/pyrite-info.1 $RPM_BUILD_ROOT%{_mandir}/man1/pyrite-info.1
cp $RPM_BUILD_DIR/%{name}-%{version}/doc/pyrite-install.1 $RPM_BUILD_ROOT%{_mandir}/man1/pyrite-install.1
cp $RPM_BUILD_DIR/%{name}-%{version}/doc/pyrite-sync.1 $RPM_BUILD_ROOT%{_mandir}/man1/pyrite-sync.1


%files
%defattr(-,root,root)
%doc README* ChangeLog doc/[A-Z]* doc/announce.txt doc/backup.txt doc/doc_compress.txt doc/platform-dir.txt doc/prg doc/sample.conf
%{_libdir}/python2.0/site-packages/*
%{_bindir}/*
%{_mandir}/man1/*.1.bz2
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/*

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Jan 07 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.9.3-2mdk
- fixed path to python stuff in %%files
- fixed mandpages in %%files

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-1mdk
- mandrake adaptations
- BM
- macros

* Sat Dec 18 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- Upgrade to 0.9.2
- released as 0.9.2-1

* Thu Dec 2 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- Bug fixes in Store/URL.py
- released as 0.7.9-2

* Mon Nov 29 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- Update to 0.7.9
- released as 0.7.9-1

* Mon Nov 15 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- forgot to make info.py executable
- released as 0.7.8-2holly

* Sun Nov 14 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- update for 0.7.8
- released as 0.7.8-1holly

* Thu Jul 29 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- update for 0.7.6
- removed Connect conduit as it is no longer needed
- released as 0.7.6-1holly

* Sat Jul 24 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- Removed my plucker stuff (will be distributed separately)
- make localedir a variable
- release as 0.7.5-2holly

* Fri Jul 17 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- Update to new version 0.7.5
- Still has my patches, i.e. no rpm with just the original 0.7.5
  source is available for now until I hear from Rob.
- removed the backward-incompatibility warning.
- release as 0.7.5-1holly

* Fri Jul 17 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- Added locale dir
- ready for rebuilding with my patches for i18n
- release as 0.7.4-2holly

* Wed Jun 23 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- Updates for 0.7.4
- release 0.7.4-1

* Sun Jun 20 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- changes and additions after feedback from Rob and after looking
  at the debian files.
- release 0.7.3-2

* Sun Jun 20 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- initial shot at this spec for 0.7.3
- release 0.7.3-1
